clear all
close all
clc

%Resolviendo el sistema.
[t y] = ode45(@(t,z)[z(2);exp(-t)+z(1)^2], 0:.01:3, [0 -1]);

%Graficando la solución
plot(t,y(:,1), 'r', t, y(:,2), 'b');
legend('u(t)', 'u´(t)')
grid on
xlabel('t')

% u(2)
y(t==2,1)

% u'(3)
y(t==3,2)